#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-8Jad8peGKfAc25gqNRswp
key:                  lsp-1.2.0.1-8Jad8peGKfAc25gqNRswp
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  c8790006f6a9e6a1dee9d893e012e6e0
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-31FD7XTzyb61wK4Mdm9U8q:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-31FD7XTzyb61wK4Mdm9U8q:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-31FD7XTzyb61wK4Mdm9U8q:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-31FD7XTzyb61wK4Mdm9U8q:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-1.2.0.1
hs-libraries:         HSlsp-1.2.0.1-8Jad8peGKfAc25gqNRswp
depends:
    aeson-1.5.6.0-Fg135F0LK439ajXX1ctdPK
    async-2.2.3-Hbf8iw1TAQkCo5mSzdU6hX
    attoparsec-0.14.1-K1PNUn1z9Ub7TsFBpn3sHF base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-8R0VaRv3wrAI9biArVC9ov
    dependent-map-0.4.0.0-DOaFcPAjKDPKBEkIWJNgVw exceptions-0.10.4
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5
    hslogger-1.3.1.0-BgCS2q3IP2KkL4J2tffty
    lens-5.0.1-JhRncaF453XLFQlfh7pvL7
    lsp-types-1.3.0.1-31FD7XTzyb61wK4Mdm9U8q mtl-2.2.2
    network-uri-2.6.4.1-3nEDxRoWlqR897WvDb69sm
    random-1.2.1-LetExsLOa3nDkhT0M1R6w
    scientific-0.3.7.0-4tqJYQMTwiZLVfrxZoRP0G
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-BWkUXYfn3WoA4YwHbxKABd
    uuid-1.3.15-DIiYrILhULk2TPoz4MI6B8

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

